Subject: clarification of section 9.5.1 of RFC 2328

From: Boffa Stephen-QA4741 <[email-masked]>
Date: Thu, 19 Sep 2002 15:19:52 -0700

> We have two interpretations of section 9.5.1 (Sending Hello Packets on NBMA networks) of RFC 2328 from the perspective of being a non-eligible DR.  We are configured as a NBMA which we can not be eligible to be the DR.  Our issue involves the initiation of hello packets when we start-up.  The two interpretations are:
>
> 1) The non-eligible NBMA router (which is our environment), will initiate a hello packet to our direct neighbor on each interface.  After the initial exchange and adjacencies are established, hello packets are exchanged every hello-interval.
>
> 2)  Upon startup, no BDR or DR is elected so HELLOs are not sent to any router. The DR election is first triggered by *receipt* of HELLOs from the DR or BDR, which are sending HELLOs at PollInterval intervals because the NBMA router has reached the Down state.
>
> Any clarification on this case would help us in our implementation.
>
> Thanks for your assistance.
> Steve

---

From: Acee Lindem <[email-masked]>
Date: Thu, 19 Sep 2002 18:45:26 -0400

>>2)  Upon startup, no BDR or DR is elected so HELLOs are not sent to any router. The DR election is first triggered by *receipt* of HELLOs from the DR or BDR, which are sending HELLOs at PollInterva…

#2 is the closest.

When non-eligible router starts up, it does not send hellos to anyone. Once a DR and BDR
are elected and poll the non-eligible router, it will send hellos to them.
It also replies to hellos as specified in section 9.5.1. If the DR or BDR neighbor
state goes to DOWN, the non-eligible router discontinues sending hellos to
that neighbor.

I suspect you will find a wide variance in what individual implementations
do with respect to non-eligible neighbors.

--
Acee